#include "burp.h"
#include "lock.h"

/* I *think* Windows does its own locking when running a program as a service,
   so ignore Windows locking until I implement burp as a service. */
int get_lock(const char *path)
{
#ifndef HAVE_WIN32
	int fdlock;
	struct flock fl;

	fl.l_type=F_WRLCK;
	fl.l_whence=SEEK_SET;
	fl.l_start=0;
	fl.l_len=1;

	if((fdlock=open(path, O_WRONLY|O_CREAT, 0666))==-1
	  || fcntl(fdlock, F_SETLK, &fl)==-1)
		return -1;
#endif
	return 0;
}
